From 34b50e1c0fddb6cd749a32db89314b3921882b72 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Wed, 1 Dec 2021 13:50:51 +0000
Subject: [PATCH v1] document examples of setting up multiple values for
 shared_preload_libraries

The users can try different ways to set multiple values for
shared_preload_libraries even after reading the existing
documentation which is missing an example to show the right way.
The problem with the wrong parameter set command is that the ALTER
SYSTEM SET will not fail, but the server will not come up in case
it is restarted.

This patch adds few different ways one can set multiple values to
shared_preload_libraries.
---
 doc/src/sgml/config.sgml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index ab617c7b86..beda3f96da 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -9400,6 +9400,18 @@ SET XML OPTION { DOCUMENT | CONTENT };
         is interpreted as for the <link linkend="sql-load"><command>LOAD</command></link> command.
         Whitespace between entries is ignored; surround a library name with
         double quotes if you need to include whitespace or commas in the name.
+        For example:
+<programlisting>
+ALTER SYSTEM SET shared_preload_libraries TO auth_delay,pg_stat_statements,sepgsql;
+</programlisting>
+or
+<programlisting>
+ALTER SYSTEM SET shared_preload_libraries = 'auth_delay','pg_stat_statements','sepgsql';
+</programlisting>
+or
+<programlisting>
+ALTER SYSTEM SET shared_preload_libraries TO 'auth_delay','pg_stat_statements','sepgsql';
+</programlisting>
         This parameter can only be set at server start.  If a specified
         library is not found, the server will fail to start.
        </para>
-- 
2.25.1

